﻿@model IEnumerable<GarageMaster.Models.Forum.CommentModels.CommentModel>

<div class="ml-5">
    @foreach (var itemComment in Model.OrderByDescending(s => s.CommentCreationDate))
    {
        <div class="row">
            <div class="col-1">
                <b>=></b>
            </div>
            <div class="col-11">
                <b>@Html.Raw(itemComment.CommentContent)</b>
            </div>
            <div class="col-3">
                @Html.DisplayFor(modelItem => itemComment.CommentLevel)
            </div>
            <div class="col-3">
                @Html.DisplayFor(modelItem => itemComment.Author)
            </div>
            <br />
            <div class="col-3">
                @Html.DisplayFor(modelItem => itemComment.CommentCreationDate)
            </div>
            <div class="col-1">
                @Html.DisplayFor(modelItem => itemComment.Type)
            </div>
            @*<br />
        <div class="col-3">
            <form asp-action="CreateCommentToComment" asp-controller="Comment" method="get">
                <input type="hidden" name="Id" value=@itemComment.Id />
                <input type="submit" value="Комментировать" />
            </form>
        </div>*@
            <div class="col-3">
                <a asp-controller="Comment" asp-action="CreateCommentToComment" asp-route-id="@itemComment.Id">Комментировать</a>
            </div>
            <div class="col-3">
                <a asp-controller="Comment" asp-action="EditComment" asp-route-id="@itemComment.Id">Edit</a>
            </div>
            <div class="col-3">
                <a asp-controller="Comment" asp-action="DeleteComment" asp-route-id="@itemComment.Id">Delete</a>
            </div>
        </div>
        <div>
            @{
                if (itemComment.Comments != null && itemComment.Comments.Any())
                {
                    await Html.RenderPartialAsync("_DisplayCommentsInTopic", itemComment.Comments);
                }

            }
        </div>
    }
</div>